i2o_iop_reset
Prev | I2O message devices | Next

## Name

i2o_iop_reset — reset an I2O controller

## Synopsis

`int i2o_iop_reset (` | struct i2o_controller * | c`)`;

## Arguments

`c`

  controller to reset

## Description

Reset the IOP into INIT state and wait until IOP gets into RESET state. Terminate all external operations, clear IOP's inbound and outbound queues, terminate all DDMs, and reload the IOP's operating environment and all local DDMs. The IOP rebuilds its LCT.

Prev | Up | Next
i2o_iop_init_outbound_queue | Home | i2o_iop_activate